Subject: Re: bug#25733: kallithea dependencies

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 20 Apr 2020 23:27:41 -0400

Hello,

ng0 <[email-masked]> writes:

> This adds dependencies for kallithea.
> I lost track of the state of things. I know this was reviews in the
> past, then the python build system changed and now I hope not too many
> people have done duplicate work and added software I packaged in here.
>
>       gnu: Add python-geventhttpclient.
>       gnu: Add python-fastimport.
>       gnu: Add python-dulwich.
>       gnu: Add [email-masked].
>       gnu: Add python2-mysql-python.
>       gnu: Add python-dulwich-0.9.9.
>       gnu: Add python-repoze-lru.
>       gnu: Add python-routes.
>       gnu: Add python-routes-1.13.
>       gnu: Add python-urlobject.
>       gnu: Add python-urlobject-2.3.4.
>       gnu: Add python-docutils-0.11.
>       gnu: Add python-markdown-2.2.1.
>       gnu: Add python2-babel-1.3.
>       gnu: Add python-pyparsing-1.5.0.
>       gnu: Add python-amqplib.
>       gnu: Add python2-kombu-1.
>       gnu: Add kallithea.
>
> Excluding kallithea, because this still needs some service.

I looked into this, but given it's 3 years old and that Kallithea has
evolved quite in that time (see its requirements at
https://kallithea-scm.org/repos/kallithea/files/a67bcc6f91182a3e01f601e60f4f27e345289819/setup.py),
many of the above packages are no longer needed by Kallithea (and many
have since made their way into Guix).

Hence, I'm closing this ticket. Feel free to repoen/send a fresh batch
of patches.

Thank you,

Maxim